import java.io.PrintStream;
import java.util.Scanner;

public class interactive_gk {
    static Scanner in;
    static PrintStream out;

    void run() {
        int maxX = in.nextInt();
        int maxV = in.nextInt();
        solve(maxX, maxV);
    }

    private void solve(int maxX, int maxV) {
        int minV = 0;
        int minX = 0;
        int[] l = new int[100];
        int[] r = new int[100];
        l[0] = 0;
        r[0] = maxX;
        for (int t = 0; ; t++) {
            if (t == 0) {
                l[t] = 0;
                r[t] = maxX;
            } else {
                for (int i = 0; i < t - 1; i++) {
                    minV = Math.max(minV, (l[t - 1] - r[i] + t - 1 - i - 1) / (t - 1 - i));
                    maxV = Math.min(maxV, (r[t - 1] - l[i]) / (t - 1 - i));
                }
                l[t] = l[t - 1] + minV;
                r[t] = r[t - 1] + maxV;
            }
            if (l[t] == r[t]) {
                out.println("answer " + l[t]);
                return;
            }
            int m = (l[t] + r[t]) / 2;
            out.println("check " + l[t] + " " + m);
            if ("Yes".equals(in.next())) {
                r[t] = m;
            } else {
                l[t] = m + 1;
            }
        }
    }

    public static void main(String[] args) throws Exception {
        in = new Scanner(System.in);
        out = System.out;

        new interactive_gk().run();

        in.close();
        out.close();
    }
}
